import {ApplicationState, ContentNegotiation} from '../common';
import {DataSource} from './data-source';

export interface BackendState {
	app: ApplicationState;
	dataSource: DataSource;
	cn: ContentNegotiation;
	showTotalItemCountOnGetCollection: boolean;
	throwsErrorOnDeletingNotFound: boolean;
	checksSerializersOnDelete: boolean;
	showTotalItemCountOnCreateItem: boolean;
}

export interface RequestContext {}

export type RequestDecorator = (req: RequestContext) => RequestContext | Promise<RequestContext>;

export type ParamRequestDecorator<Params extends Array<unknown> = []> = (...args: Params) => RequestDecorator;
