import {BackendState, ParamRequestDecorator} from '../../../common';
import {decorateRequestWithContentNegotiation} from './content-negotiation';
import {decorateRequestWithResource} from './resource';

declare module '../../../common' {
	interface RequestContext {
		backend: BackendState;
	}
}

export const decorateRequestWithBackend: ParamRequestDecorator<[BackendState]> = (backend) => (req) => {
	req.backend = backend;

	decorateRequestWithContentNegotiation(req);
	decorateRequestWithResource(req);

	return req;
};
