export interface MediaType {
	name: string;
	serialize: <T>(object: T) => string;
	deserialize: <T>(s: string) => T;
}

export const FALLBACK_MEDIA_TYPE = {
	serialize: (obj: unknown) => JSON.stringify(obj),
	deserialize: (str: string) => JSON.parse(str),
	name: 'application/json' as const,
} satisfies MediaType;
